Unit tde34r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE34R_p, DE34R_p;

function tde34r: String;

implementation

function tde34r: String;
var
IORDER,M,_i,J,I,IERR :Integer;
H,P,EPS,HMIN,XN,X :Real;
YN :Array [0..1] of Real;
DYN :Array [0..1] of Real;
Y :Array [0..1] of Real;
DY :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RFN :Array [0..1] of Real;
RF :Array [0..1] of Real;
begin
Result := '';  {   }
H := 0.01;
IORDER := 5;
P := 100.0;
EPS := 0.0001;
HMIN := 1.E-10;
M := 2;
XN := 0.75*3.14159265359;
YN[0] := Sqrt(2.0)/2.0;
YN[1] := -YN[0];
DYN[0] := YN[1];
DYN[1] := -YN[0];
DE34R(FDE34R,M,IORDER,XN,YN,DYN,HMIN,EPS,P,H,X,Y,
     DY,DF,RFN,RF,DELTY,IERR);
Result := Result + Format(' %20.16f ',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[DY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to 5 do
 begin
  for I:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[DF[(I-1)+(J-1)*2]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tde34r',Result);  {     tde34r.res }
exit;
end;

end.
